from setuptools import setup, find_packages
import sys
from pyyacc import __version__


extra = {}
if 'test' in sys.argv or 'nosetests' in sys.argv:
    extra.update(dict(setup_requires=['nose>=1.0', 'coverage', 'nosexcover', 'zc.buildout==1.5.2'],
                      test_suite='nose.collector'))


setup(
    name="py-yacc",
    version=__version__,
    author="Nino Walker",
    author_email="nino.walker@gmail.com",
    description=("A YAML based DSL for creating and computing layered configurations."),
    url="https://github.com/Livefyre/py-yacc",
    license="MIT",
    packages=find_packages(exclude=('test',)),
    long_description=open('README.md').read(),
    install_requires=['PyYAML>=3.10', 'docopt'],
    classifiers=[
        "License :: OSI Approved :: BSD License",
    ],
    entry_points={
                  'console_scripts': ['pyya.cc = pyyacc.scripts.compile:main',
                                      'pyyacc.validate = pyyacc.scripts.compile:validate_main', # deprecated
                                      'pyyacc.sources = pyyacc.scripts.compile:sources_main'], # deprecated
                  'zc.buildout': ['parse = pyyacc.buildout:ParseYAML']
    },
    **extra
)
